##### basic_datagram_socket::at_mark (1 of 2 overloads)

Inherited from basic_socket.

Determine whether the socket is at the out-of-band data mark.

    bool at_mark() const;

This function is used to check whether the socket input is currently positioned at the out-of-band data mark.

###### Return Value

A bool indicating whether the socket is at the out-of-band data mark.

###### Exceptions

asio::system_error

  Thrown on failure.